# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------

from enum import Enum
from azure.core import CaseInsensitiveEnumMeta


class DocumentSentimentValue(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """Predicted sentiment for document (Negative, Neutral, Positive, or Mixed).
    """

    POSITIVE = "positive"
    NEUTRAL = "neutral"
    NEGATIVE = "negative"
    MIXED = "mixed"

class ErrorCodeValue(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """Error code.
    """

    INVALID_REQUEST = "invalidRequest"
    INVALID_ARGUMENT = "invalidArgument"
    INTERNAL_SERVER_ERROR = "internalServerError"
    SERVICE_UNAVAILABLE = "serviceUnavailable"

class InnerErrorCodeValue(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """Error code.
    """

    INVALID_PARAMETER_VALUE = "invalidParameterValue"
    INVALID_REQUEST_BODY_FORMAT = "invalidRequestBodyFormat"
    EMPTY_REQUEST = "emptyRequest"
    MISSING_INPUT_RECORDS = "missingInputRecords"
    INVALID_DOCUMENT = "invalidDocument"
    MODEL_VERSION_INCORRECT = "modelVersionIncorrect"
    INVALID_DOCUMENT_BATCH = "invalidDocumentBatch"
    UNSUPPORTED_LANGUAGE_CODE = "unsupportedLanguageCode"
    INVALID_COUNTRY_HINT = "invalidCountryHint"

class SentenceSentimentValue(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """The predicted Sentiment for the sentence.
    """

    POSITIVE = "positive"
    NEUTRAL = "neutral"
    NEGATIVE = "negative"

class WarningCodeValue(str, Enum, metaclass=CaseInsensitiveEnumMeta):
    """Error code.
    """

    LONG_WORDS_IN_DOCUMENT = "LongWordsInDocument"
    DOCUMENT_TRUNCATED = "DocumentTruncated"
